package com.bcxin.ars.model.sb;

import com.abcxin.smart.validator.annotation.ModelAnnotation;
import com.bcxin.ars.model.BusinessCommon;

import java.util.Date;

/**
 *sb_confesscompany
 *
 */
public class Confesscompany extends BusinessCommon {

	/**  */
	private static final long serialVersionUID = -595513967313109389L;

	/**
	 *备案单位名称
	 */
	@ModelAnnotation(getName="备案单位名称",column = "Recordcompanyname",isExport = true)
	private String recordcompanyname;

	/**
	 *备案单位服务区域
	 */
	@ModelAnnotation(getName="备案单位服务区域",column = "Recordarea",isExport = true)
	private String recordarea;

	/**
	 *备案单位保安员数
	 */
	@ModelAnnotation(getName="备案单位保安员数",column = "Recordperonnum",isExport = true)
	private Integer recordperonnum;


	/**
	 * 安保范围
	 */
	@ModelAnnotation(getName="安保范围",column = "management",isExport = true,needTranslate = true,oneToMore = true,dictName = "securityScopeType")
    private String management;

    /**
    *公司地址
    */
	@ModelAnnotation(getName="公司地址",column = "Address",isExport = true)
    private String address;

    /**
    *单位类型
    */
	@ModelAnnotation(getName="单位类型",column = "Companytype",isExport = true,needTranslate = true,dictName = "companyType")
    private String companytype;

    /**
    *邮编
    */
	@ModelAnnotation(getName="邮编",column = "Zipcode",isExport = true)
    private String zipcode;

    /**
    *统一信用代码
    */
	@ModelAnnotation(getName="统一信用代码",column = "Creditcode",isExport = true)
    private String creditcode;

    /**
    *单位员工数
    */
	@ModelAnnotation(getName="单位员工数",column = "Personnum",isExport = true)
    private Integer personnum;

    /**
    *法人姓名
    */
	@ModelAnnotation(getName="法人姓名",column = "Legalname",isExport = true,defaultColumn = true)
    private String legalname;

    /**
    *法人性别
    */
	@ModelAnnotation(getName="法人性别",column = "Legalsex",isExport = true,needTranslate = true,dictName = "sex")
    private String legalsex;

    /**
    *法人民族
    */
	@ModelAnnotation(getName="法人民族",column = "Legalnation",isExport = true)
    private String legalnation;

    /**
    *法人出生年月
    */
	@ModelAnnotation(getName="法人出生年月",column = "Legalbirth",isExport = true)
    private Date legalbirth;

    /**
    *法人政治面貌
    */
	@ModelAnnotation(getName="法人政治面貌",column = "legalPolitics",isExport = true,needTranslate = true,dictName = "politics")
    private String legalpolitics;

    /**
    *法人文化程度
    */
	@ModelAnnotation(getName="法人文化程度",column = "legalCulture",isExport = true,needTranslate = true,dictName = "edu")
    private String legalculture;

    /**
    *法人办公电话
    */
	@ModelAnnotation(getName="法人办公电话",column = "Legaltel",isExport = true)
    private String legaltel;

    /**
    *手机号码
    */
	@ModelAnnotation(getName="手机号码",column = "Legalphone",isExport = true,defaultColumn = true)
    private String legalphone;

    /**
    *法人国籍
    */
	@ModelAnnotation(getName="法人国籍",column = "Legalnationality",isExport = true)
    private String legalnationality;

    /**
    *法人证件类型
    */
	@ModelAnnotation(getName="法人证件类型",column = "Legaltype",isExport = true,needTranslate = true,dictName = "idCardType")
    private String legaltype;

    /**
    *法人证件号码
    */
	@ModelAnnotation(getName="法人证件号码",column = "Legalcardnumber",isExport = true)
    private String legalcardnumber;

    /**
    *法人实际居住地址
    */
	@ModelAnnotation(getName="法人实际居住地址",column = "Legaladdress",isExport = true)
    private String legaladdress;

    /**
    *法人户籍所在址/境外地址
    */
	@ModelAnnotation(getName="法人户籍所在址/境外地址",column = "legalAbroadaddress",isExport = true)
    private String legalabroadaddress;

    /**
    *备案单位地址
    */
	@ModelAnnotation(getName="备案单位地址",column = "Recordaddress",isExport = true)
    private String recordaddress;


    /**
    *备案单位持有保安员人数
    */
	@ModelAnnotation(getName="备案单位持有保安员人数",column = "recordnoperonnum",isExport = true)
    private Integer recordnoperonnum;

    /**
    *负责人姓名
    */
	@ModelAnnotation(getName="负责人姓名",column = "Chargename",isExport = true)
    private String chargename;

    /**
    *负责人职务
    */
	@ModelAnnotation(getName="负责人职务",column = "Chargepost",isExport = true)
    private String chargepost;

    /**
    *负责人居民身份证号码
    */
	@ModelAnnotation(getName="负责人居民身份证号码",column = "Chargecardnumber",isExport = true)
    private String chargecardnumber;

    /**
    *负责人联系电话
    */
	@ModelAnnotation(getName="负责人联系电话",column = "Chargephone",isExport = true)
    private String chargephone;

    /**
    *子公司保安人数
    */
	@ModelAnnotation(getName="子公司保安人数",column = "Sonpersonnum",isExport = true)
    private Integer sonpersonnum;

    /**
    *子公司邮编
    */
	@ModelAnnotation(getName="子公司邮编",column = "Sonzipcode",isExport = true)
    private String sonzipcode;

	/***
	 * 保安许可服务证号
	 */
	@ModelAnnotation(getName="保安许可服务证号",column = "licencenum",isExport = true)
	private String licencenum;

	/**
	 * 法人审核状态
	 */
	@ModelAnnotation(getName="法人审核状态",column = "legalcensorstatus",isExport = true,needTranslate = true,dictName = "censorStatus")
	private String legalcensorstatus;

	/**
	 *单位负责人审查状态(0 未审查 1 审查通过 2审查不通过）
	 */
	@ModelAnnotation(getName="单位负责人审查状态",column = "chargecensorstatus",isExport = true,needTranslate = true,dictName = "censorStatus")
	private String chargecensorstatus;

	@ModelAnnotation(getName="公司编码",column = "companycode",isExport = true)
	private String companycode;

	@ModelAnnotation(getName="备案机构编码",column = "baorgcode",isExport = true)
	private String baorgcode;

	@ModelAnnotation(getName="备案机构名称",column = "baorgname",isExport = true)
	private String baorgname;

	@ModelAnnotation(getName="备案机构日期",column = "baorgdate",isExport = true)
	private Date baorgdate;

	private boolean isauto;

	/**
	 * 服务区域项目名称
	 */
	@ModelAnnotation(getName="服务区域项目名称",column = "serviceArea",isExport = true)
	private String serviceArea;

	/**
	 * 其他保安服务范围名称(保安范围为其他则此列必填)
	 */
	@ModelAnnotation(getName="其他保安服务范围名称",column = "otherSecScopeType",isExport = true)
	private String otherSecScopeType;

	/**
	 * 其他公司类型名称(公司类型为其他则此列必填)
	 */
	@ModelAnnotation(getName="其他公司类型名称",column = "otherCompanyTypeName",isExport = true)
	private String otherCompanyTypeName;


	public String getOtherSecScopeType() {
		return otherSecScopeType;
	}

	public void setOtherSecScopeType(String otherSecScopeType) {
		this.otherSecScopeType = otherSecScopeType;
	}

	public String getOtherCompanyTypeName() {
		return otherCompanyTypeName;
	}

	public void setOtherCompanyTypeName(String otherCompanyTypeName) {
		this.otherCompanyTypeName = otherCompanyTypeName;
	}

	public String getServiceArea() {
		return serviceArea;
	}

	public void setServiceArea(String serviceArea) {
		this.serviceArea = serviceArea;
	}

	public boolean isIsauto() {
		return isauto;
	}

	public void setIsauto(boolean isauto) {
		this.isauto = isauto;
	}

	public String getCompanycode() {
		return companycode;
	}

	public void setCompanycode(String companycode) {
		this.companycode = companycode;
	}

	public String getBaorgcode() {
		return baorgcode;
	}

	public void setBaorgcode(String baorgcode) {
		this.baorgcode = baorgcode;
	}

	public String getBaorgname() {
		return baorgname;
	}

	public void setBaorgname(String baorgname) {
		this.baorgname = baorgname;
	}

	public Date getBaorgdate() {
		return baorgdate;
	}

	public void setBaorgdate(Date baorgdate) {
		this.baorgdate = baorgdate;
	}

	public String getLegalcensorstatus() {
		return legalcensorstatus;
	}

	public void setLegalcensorstatus(String legalcensorstatus) {
		this.legalcensorstatus = legalcensorstatus;
	}

	public String getChargecensorstatus() {
		return chargecensorstatus;
	}

	public void setChargecensorstatus(String chargecensorstatus) {
		this.chargecensorstatus = chargecensorstatus;
	}

	public String getLicencenum() {
		return licencenum;
	}

	public void setLicencenum(String licencenum) {
		this.licencenum = licencenum;
	}

	/**
	 *公司地址
	 */
	public String getAddress(){
		return this.address;
	}
	
	/**
	 *公司地址
	 */
	public void setAddress(String address){
		this.address = address;
	}
	/**
	 *
	 */
	public String getCompanytype(){
		return this.companytype;
	}
	
	/**
	 *
	 */
	public void setCompanytype(String companytype){
		this.companytype = companytype;
	}
	/**
	 *邮编
	 */
	public String getZipcode(){
		return this.zipcode;
	}
	
	/**
	 *邮编
	 */
	public void setZipcode(String zipcode){
		this.zipcode = zipcode;
	}
	/**
	 *统一信用代码
	 */
	public String getCreditcode(){
		return this.creditcode;
	}
	
	/**
	 *统一信用代码
	 */
	public void setCreditcode(String creditcode){
		this.creditcode = creditcode;
	}
	/**
	 *单位员工数
	 */
	public Integer getPersonnum(){
		return this.personnum;
	}
	
	/**
	 *单位员工数
	 */
	public void setPersonnum(Integer personnum){
		this.personnum = personnum;
	}
	/**
	 *法人姓名
	 */
	public String getLegalname(){
		return this.legalname;
	}
	
	/**
	 *法人姓名
	 */
	public void setLegalname(String legalname){
		this.legalname = legalname;
	}
	/**
	 *法人性别
	 */
	public String getLegalsex(){
		return this.legalsex;
	}
	
	/**
	 *法人性别
	 */
	public void setLegalsex(String legalsex){
		this.legalsex = legalsex;
	}
	/**
	 *法人民族
	 */
	public String getLegalnation(){
		return this.legalnation;
	}
	
	/**
	 *法人民族
	 */
	public void setLegalnation(String legalnation){
		this.legalnation = legalnation;
	}
	/**
	 *法人出生年月
	 */
	public Date getLegalbirth(){
		return this.legalbirth;
	}
	
	/**
	 *法人出生年月
	 */
	public void setLegalbirth(Date legalbirth){
		this.legalbirth = legalbirth;
	}
	/**
	 *法人政治面貌
	 */
	public String getLegalpolitics(){
		return this.legalpolitics;
	}
	
	/**
	 *法人政治面貌
	 */
	public void setLegalpolitics(String legalpolitics){
		this.legalpolitics = legalpolitics;
	}
	/**
	 *法人文化程度
	 */
	public String getLegalculture(){
		return this.legalculture;
	}
	
	/**
	 *法人文化程度
	 */
	public void setLegalculture(String legalculture){
		this.legalculture = legalculture;
	}
	/**
	 *法人办公电话
	 */
	public String getLegaltel(){
		return this.legaltel;
	}
	
	/**
	 *法人办公电话
	 */
	public void setLegaltel(String legaltel){
		this.legaltel = legaltel;
	}
	/**
	 *
	 */
	public String getLegalphone(){
		return this.legalphone;
	}
	
	/**
	 *
	 */
	public void setLegalphone(String legalphone){
		this.legalphone = legalphone;
	}
	/**
	 *法人国籍
	 */
	public String getLegalnationality(){
		return this.legalnationality;
	}
	
	/**
	 *法人国籍
	 */
	public void setLegalnationality(String legalnationality){
		this.legalnationality = legalnationality;
	}
	/**
	 *法人证件类型
	 */
	public String getLegaltype(){
		return this.legaltype;
	}
	
	/**
	 *法人证件类型
	 */
	public void setLegaltype(String legaltype){
		this.legaltype = legaltype;
	}
	/**
	 *法人证件号码
	 */
	public String getLegalcardnumber(){
		return this.legalcardnumber;
	}
	
	/**
	 *法人证件号码
	 */
	public void setLegalcardnumber(String legalcardnumber){
		this.legalcardnumber = legalcardnumber;
	}
	/**
	 *法人实际居住地址
	 */
	public String getLegaladdress(){
		return this.legaladdress;
	}
	
	/**
	 *法人实际居住地址
	 */
	public void setLegaladdress(String legaladdress){
		this.legaladdress = legaladdress;
	}
	/**
	 *法人户籍所在址/境外地址
	 */
	public String getLegalabroadaddress(){
		return this.legalabroadaddress;
	}
	
	/**
	 *法人户籍所在址/境外地址
	 */
	public void setLegalabroadaddress(String legalabroadaddress){
		this.legalabroadaddress = legalabroadaddress;
	}
	/**
	 *备案单位地址
	 */
	public String getRecordaddress(){
		return this.recordaddress;
	}
	
	/**
	 *备案单位地址
	 */
	public void setRecordaddress(String recordaddress){
		this.recordaddress = recordaddress;
	}
	/**
	 *备案单位名称
	 */
	public String getRecordcompanyname(){
		return this.recordcompanyname;
	}
	
	/**
	 *备案单位名称
	 */
	public void setRecordcompanyname(String recordcompanyname){
		this.recordcompanyname = recordcompanyname;
	}
	/**
	 *备案单位服务区域
	 */
	public String getRecordarea(){
		return this.recordarea;
	}
	
	/**
	 *备案单位服务区域
	 */
	public void setRecordarea(String recordarea){
		this.recordarea = recordarea;
	}
	/**
	 *备案单位保安员数
	 */
	public Integer getRecordperonnum(){
		return this.recordperonnum;
	}
	
	/**
	 *备案单位保安员数
	 */
	public void setRecordperonnum(Integer recordperonnum){
		this.recordperonnum = recordperonnum;
	}
	/**
	 *备案单位持有保安员人数
	 */
	public Integer getRecordnoperonnum(){
		return this.recordnoperonnum;
	}
	
	/**
	 *备案单位持有保安员人数
	 */
	public void setRecordnoperonnum(Integer recordnoperonnum){
		this.recordnoperonnum = recordnoperonnum;
	}
	/**
	 *负责人姓名
	 */
	public String getChargename(){
		return this.chargename;
	}
	
	/**
	 *负责人姓名
	 */
	public void setChargename(String chargename){
		this.chargename = chargename;
	}
	/**
	 *负责人职务
	 */
	public String getChargepost(){
		return this.chargepost;
	}
	
	/**
	 *负责人职务
	 */
	public void setChargepost(String chargepost){
		this.chargepost = chargepost;
	}
	/**
	 *负责人居民身份证号码
	 */
	public String getChargecardnumber(){
		return this.chargecardnumber;
	}
	
	/**
	 *负责人居民身份证号码
	 */
	public void setChargecardnumber(String chargecardnumber){
		this.chargecardnumber = chargecardnumber;
	}
	/**
	 *负责人联系电话
	 */
	public String getChargephone(){
		return this.chargephone;
	}
	
	/**
	 *负责人联系电话
	 */
	public void setChargephone(String chargephone){
		this.chargephone = chargephone;
	}
	/**
	 *子公司保安人数
	 */
	public Integer getSonpersonnum(){
		return this.sonpersonnum;
	}
	
	/**
	 *子公司保安人数
	 */
	public void setSonpersonnum(Integer sonpersonnum){
		this.sonpersonnum = sonpersonnum;
	}
	/**
	 *子公司邮编
	 */
	public String getSonzipcode(){
		return this.sonzipcode;
	}
	
	/**
	 *子公司邮编
	 */
	public void setSonzipcode(String sonzipcode){
		this.sonzipcode = sonzipcode;
	}

	public String getManagement() {
		return management;
	}

	public void setManagement(String management) {
		this.management = management;
	}
}